Subject: Re: bug#66041: 30.0.50; Should 'flymake-note-echo' inherit from 'compilation-info'?

From: João Távora <[email-masked]>
Date: Mon, 25 Sep 2023 19:23:08 +0100

On Mon, Sep 25, 2023 at 6:24 PM Eli Zaretskii <[email-masked]> wrote:

> > I assume it does, since otherwise that would mean that
> > if a line is scrolled near the beginning and truncated, the current
> > "last one" criteria you described before also doesn't always
> > hold true.
>
> The "last one" means the last overlay processed on a screen line.

Ah, ok: good to know.

>
> > IMHO this should be automatic and based on relative overlay
> > priorities.
>
> Overlay priorities are not for overlays that cover disjoint portions
> of text.  Also, the same problem will happen when several 'display'
> properties that draw on the fringe are put on buffer text, without any
> overlays and thus without any priorities to begin with.

True, I forgot about that.

> So if we want
> to implement something like this in the display engine, we'd need to
> extend the format of the 'display' property in this case, adding some
> kind of "priority" there, or maybe extend the fringe bitmap data
> itself.

I think either is acceptable, though the former is slightly better
as it allows one to use the same bitmap data in many priorities.

João